Bug 502321

Summary: kvm Linux guest hangs on reboot when booted with reboot=bios
Product: [Fedora] Fedora Reporter: Benjamin LaHaise <bcrl>
Component: kvmAssignee: Glauber Costa <gcosta>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: berrange, clalance, ehabkost, gcosta, markmc, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-11-20 14:29:26 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Benjamin LaHaise 2009-05-23 17:27:48 EDT
Description of problem:

Linux kernels booted with reboot=bios hang on reboot in kvm.

Version-Release number of selected component (if applicable):

kvm-74-10.fc10.i386



How reproducible:

Always.

Steps to Reproduce:
1. Boot guest with reboot=bios.
2. Reboot guest.
3. Watch guest hang.
  
Actual results:

KVM guest hangs on reboot.

Expected results:

KVM guest reboots.
Comment 1 Mark McLoughlin 2009-05-25 07:19:14 EDT
Thanks for the report, but I can't reproduce here on F-10 or F-11

Please include the full command line for the guest (e.g. from /var/log/libvirt/qemu if using libvirt)
Comment 2 Mark McLoughlin 2009-05-25 07:21:31 EDT
By command line I mean qemu-kvm command line, not /proc/cmdline

Also, what guest kernel is this?

Your /proc/cpuinfo might help too.

Could you try reproducing with qemu-0.10.4 from F-11?
Comment 3 Chris Lalancette 2009-05-25 07:26:14 EDT
I took a quick look at this.  Using F-11 qemu (0.10-16), I was not able to reproduce.  I'll give it a shot with Fedora 10 qemu, and see what happens.

Chris Lalancette
Comment 4 Chris Lalancette 2009-05-25 07:44:05 EDT
OK, tried with F-10 kvm package + BIOS, and I still couldn't reproduce.  My guest was a F-10 i386 guest, my host was an F-11 x86_64 2.6.29.3-155.fc11, with either the qemu packages from F-11 or the kvm packages from F-10.

Answering the questions that Mark posed might help us reproduce.

Thanks,
Chris Lalancette
Comment 5 Bug Zapper 2009-11-18 07:01:33 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Mark McLoughlin 2009-11-20 14:29:26 EST
No response to needinfo since 2009-05-25, closing